summaryrefslogtreecommitdiffstats
path: root/network/bip
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-11 22:25:04 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:25:04 +0200
commit481d199ab9c57da2c7557a7198938f4996e6caf4 (patch)
treeffa2e7d326d9ae80a2b4d6fd9dbfa0403e476996 /network/bip
parentf66f8dba1253af0288b48b3776fa37e9e4d76282 (diff)
downloadslackbuilds-481d199ab9c57da2c7557a7198938f4996e6caf4.tar.gz
slackbuilds-481d199ab9c57da2c7557a7198938f4996e6caf4.tar.xz
network/bip: Updated for version 0.7.5
Diffstat (limited to 'network/bip')
-rw-r--r--network/bip/README13
-rw-r--r--network/bip/bip.SlackBuild31
-rw-r--r--network/bip/bip.info8
3 files changed, 29 insertions, 23 deletions
diff --git a/network/bip/README b/network/bip/README
index a631fedcf7..582c62282f 100644
--- a/network/bip/README
+++ b/network/bip/README
@@ -1,7 +1,6 @@
-Bip is an irc proxy with SSL support, which means it keeps connected
-to your preferred IRC servers, can store the logs for you, and even
-send them back to your IRC client(s) upon connection. You may want to
-use bip to keep your logfiles (in a unique format and on a unique
-computer) whatever your client is, when you connect from multiple
-workstations, or when you simply want to have a playback of what was
-said when you were away.
+Bip is an irc proxy with SSL support, which means it keeps connected to
+your preferred IRC servers, can store the logs for you, and even send
+them back to your IRC client(s) upon connection. You may want to use
+bip to keep your logfiles (in a unique format and on a unique computer)
+whatever your client is, when you connect from multiple workstations, or
+when you simply want to have a playback of what was said when you were away.
diff --git a/network/bip/bip.SlackBuild b/network/bip/bip.SlackBuild
index 9a41bd5c4d..02904e9773 100644
--- a/network/bip/bip.SlackBuild
+++ b/network/bip/bip.SlackBuild
@@ -4,27 +4,29 @@
# Written by Chess Griffin <chess@chessgriffin.com>
-# Exit on most errors
-set -e
-
-PRGNAM=bip # replace with name of program
-VERSION=0.7.0 # replace with version of program
-ARCH=${ARCH:-i486} # this should not change
+PRGNAM=bip
+VERSION=0.7.5
+ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo} # the "_SBo" is required
+TAG=${TAG:-_SBo}
+
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS BUGS COPYING ChangeLog README TODO scripts/bip-release scripts/bipgenconfig"
+DOCS="AUTHORS BUGS COPYING ChangeLog NEWS README TODO scripts/bip-release scripts/bipgenconfig"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -44,13 +46,15 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
@@ -65,6 +69,9 @@ cp -a *.1 $PKG/usr/man/man1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/bip/examples $PKG/usr/doc/$PRGNAM-$VERSION/examples
+rm -rf $PKG/usr/share
+
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/network/bip/bip.info b/network/bip/bip.info
index 17e5429622..134cfad8fc 100644
--- a/network/bip/bip.info
+++ b/network/bip/bip.info
@@ -1,8 +1,8 @@
PRGNAM="bip"
-VERSION="0.7.0"
+VERSION="0.7.5"
HOMEPAGE="http://bip.t1r.net"
-DOWNLOAD="http://bip.t1r.net/downloads/bip-0.7.0.tar.gz"
-MD5SUM="4320110d691eca938aa39b34ae65d027"
+DOWNLOAD="http://bip.t1r.net/downloads/bip-0.7.5.tar.gz"
+MD5SUM="8c6606be672a7d3ea81caf355b2a8cb0"
MAINTAINER="Chess Griffin"
EMAIL="chess@chessgriffin.com"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero"